"
    Copyright (c) 2016-now Jan Vrany <jan.vrany [at] fit . cvut . cz>

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the 'Software'), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.
"
"{ Package: 'jv:dragonfly' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#VMData
	instanceVariableNames:''
	classVariableNames:'ADDR___VMDATA__ ADDR___stackTop__ ADDR___newNextPtr__
		ADDR___newEndPtr__ ADDR___newSpace__ ADDR___thisContext ADDR_true
		ADDR_false ADDR_Float ADDR_SmallInteger ADDR_UndefinedObject
		ADDR_Context ADDR_BlockContext ADDR_InterruptPending'
	poolDictionaries:'VMOffsets'
	category:'System-Compiler-Interface'
!

!VMData class methodsFor:'documentation'!

copyright
"
    Copyright (c) 2016-now Jan Vrany <jan.vrany [at] fit . cvut . cz>

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the 'Software'), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.

"
! !

!VMData class methodsFor:'class initialization'!

initialize
    | base handle|

    handle := ObjectFileLoader loadDynamicObject: nil.  
    base := ObjectFileLoader getSymbol: '__vmDataPtr__' function: false from: handle.
    base := ExternalBytes address: base size: ExternalAddress pointerSize.
    ADDR___VMDATA__ := (base pointerAt: 1) address.

    ADDR___stackTop__ := ADDR___VMDATA__ + OFFS___stackTop__.

    ADDR___newNextPtr__ := ADDR___VMDATA__ + OFFS___newNextPtr__.
    ADDR___newEndPtr__ := ADDR___VMDATA__ + OFFS___newEndPtr__.
    ADDR___newSpace__ := ADDR___VMDATA__ + OFFS___newSpace__ .

    ADDR___thisContext := ADDR___VMDATA__ + OFFS___thisContext .

    ADDR_true := ADDR___VMDATA__ +  OFFS_true .
    ADDR_false := ADDR___VMDATA__ +  OFFS_false.

    ADDR_Float := ADDR___VMDATA__ +  OFFS_Float .
    ADDR_SmallInteger := ADDR___VMDATA__ + OFFS_SmallInteger .
    ADDR_UndefinedObject := ADDR___VMDATA__ + OFFS_UndefinedObject .
    ADDR_Context := ADDR___VMDATA__ +  OFFS_Context.
    ADDR_BlockContext := ADDR___VMDATA__ + OFFS_BlockContext.

%{
    @global(VMData:ADDR_InterruptPending) = __MKINT(&InterruptPending);	
%}.

    "Created: / 25-01-2016 / 14:45:54 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!VMData class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !


VMData initialize!
