"
    Copyright (C) 2016-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:dragonfly/c1' }"

"{ NameSpace: DragonFly }"

C1IntegerValue subclass:#C1Int32Value
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'DragonFly-C1'
!

!C1Int32Value class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2016-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.

"
! !

!C1Int32Value methodsFor:'accessing'!

numType
    ^ LLVMType int32

    "Created: / 06-08-2016 / 07:33:32 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int32Value methodsFor:'arithmetic'!

add_32: another
    | a b r |    

    a := self numValue.
    b := another asC1Int32Value numValue.
    r := backend emitAddW: a with: b. 
    ^ (C1Value int32: r) setBackend: backend.

    "Created: / 10-08-2016 / 23:20:54 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 17-08-2016 / 22:25:06 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

mul_32: another
    | a b r |    

    a := self numValue.
    b := another asC1Int32Value numValue.
    r := backend emitMulW: a with: b. 
    ^ (C1Value int32: r) setBackend: backend.

    "Created: / 17-08-2016 / 22:37:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int32Value methodsFor:'converting'!

asC1Int32Value
    ^ self

    "Created: / 17-08-2016 / 22:31:06 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int32Value methodsFor:'private'!

numValueMaxVal
    ^ 16r7FFFFFFF

    "Created: / 06-08-2016 / 09:10:56 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

numValueMinVal
    ^ -16r80000000

    "Created: / 06-08-2016 / 09:13:11 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int32Value methodsFor:'testing'!

isC1Int32Value
    ^ true

    "Created: / 06-08-2016 / 18:05:55 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!C1Int32Value class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

