"
    Copyright (C) 2016-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:dragonfly/c1' }"

"{ NameSpace: DragonFly }"

LLVMMCJITMemoryManager subclass:#C1LLVMMCJITMemoryManager
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'DragonFly-C1'
!

!C1LLVMMCJITMemoryManager primitiveDefinitions!
%{

/*
 * includes, defines, structure definitions
 * and typedefs come here.
 */

#include "../../../stx/librun/mcompiler.h"

%}
! !

!C1LLVMMCJITMemoryManager primitiveFunctions!
%{

/*
 * any local C (helper) functions
 * come here (please, define as static)
 */

uint8_t* callbackAllocateCodeSection(void *Opaque, uintptr_t Size, unsigned Alignment, unsigned SectionID, const char *SectionName) {
    stx_compiled_code_object obj = (stx_compiled_code_object)Opaque;
    stx_compiled_code_object_section sec;

    sec = stxCompiledCodeObjectAllocTextSection(obj, Size, SectionName);
    if (sec) {
        return (uint8_t*)sec->section_addr;
    } else {
	   return NULL;
    }
}

uint8_t* callbackAllocateDataSection(void *Opaque, uintptr_t Size, unsigned Alignment, unsigned SectionID, const char *SectionName, int IsReadOnly) {
    stx_compiled_code_object obj = (stx_compiled_code_object)Opaque;
    stx_compiled_code_object_section sec;

    sec = stxCompiledCodeObjectAllocDataSection(obj, Size, SectionName);
    if (sec) {
        return (uint8_t*)sec->section_addr;
    } else {
       return NULL;
    }
}

int callbackFinalizeMemory(void *Opaque, char **ErrMsg) {
	return 1;
}
void callbackDestroy(void *Opaque) {
	return;
}

%}
! !

!C1LLVMMCJITMemoryManager class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2016-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.

"
! !

!C1LLVMMCJITMemoryManager class methodsFor:'instance creation'!

for: aCompiledCodeObject
    | mm |

    mm := LLVM CreateSimpleMCJITMemoryManager: aCompiledCodeObject
                _: self callbackAllocateCodeSection
                _: self callbackAllocateDataSection
                _: self callbackFinalizeMemory
                _: self callbackDestroy.
    mm changeClassTo: self.
    ^ mm

    "Created: / 07-02-2016 / 13:56:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

new
    self error: 'Use #for: instead'

    "Created: / 08-02-2016 / 14:01:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

