"
    Copyright (C) 2016-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:dragonfly/c1' }"

"{ NameSpace: Smalltalk }"

LibraryDefinition subclass:#jv_dragonfly_c1
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!jv_dragonfly_c1 class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2016-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.

"
! !

!jv_dragonfly_c1 class methodsFor:'description'!

excludedFromPreRequisites
    "list packages which are to be explicitely excluded from the automatic constructed
     prerequisites list. If empty, everything that is found along the inheritance of any of
     my classes is considered to be a prerequisite package."

    ^ #(
    )
!

mandatoryPreRequisites
    "list packages which are mandatory as a prerequisite.
     This are packages containing superclasses of my classes and classes which
     are extended by myself.
     They are mandatory, because we need these packages as a prerequisite for loading and compiling.
     This method is generated automatically,
     by searching along the inheritance chain of all of my classes."

    ^ #(
        #'jv:dragonfly'    "VMConstants - shared pool used by DragonFly::C1CompilerBackendX86_64"
        #'jv:llvm_s'    "LLVMDWARFEncoding - shared pool used by DragonFly::C1CompilerBackendX86_64"
        #'stx:libbasic'    "ArithmeticValue - extended"
        #'stx:libjava'    "JavaByteCodeProcessor - superclass of DragonFly::C1BasicBlockAnalyzerJava"
        #'stx:libjava/experiments'    "JavaByteCodeInterpreter - superclass of DragonFly::C1CompilerJava"
    )
!

referencedPreRequisites
    "list packages which are a prerequisite, because they contain
     classes which are referenced by my classes.
     We do not need these packages as a prerequisite for compiling or loading,
     however, a class from it may be referenced during execution and having it
     unloaded then may lead to a runtime doesNotUnderstand error, unless the caller
     includes explicit checks for the package being present.
     This method is generated automatically,
     by searching all classes (and their packages) which are referenced by my classes."

    ^ #(
        #'stx:libbasic2'    "Stack - referenced by DragonFly::C1CompilerBackendX86_64>>prepare"
    )
!

subProjects
    "list packages which are known as subprojects.
     The generated makefile will enter those and make there as well.
     However: they are not forced to be loaded when a package is loaded;
     for those, redefine requiredPrerequisites."

    ^ #(
    )
! !

!jv_dragonfly_c1 class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        #'DragonFly::C1BasicBlockAnalyzerJava'
        #'DragonFly::C1CompilerBackend'
        #'DragonFly::C1CompilerDebugFlags'
        #'DragonFly::C1Context'
        #'DragonFly::C1LLVMMCJITMemoryManager'
        #'DragonFly::C1LLVMTypes'
        #'jv_dragonfly_c1'
        #'DragonFly::C1BasicBlock'
        #'DragonFly::C1CompilerBackendX86_64'
        #'DragonFly::C1CompilerJava'
        #'DragonFly::C1Value'
        #'DragonFly::C1NumericValue'
        #'DragonFly::C1ReferenceValue'
        #'DragonFly::C1DoubleValue'
        #'DragonFly::C1FloatValue'
        #'DragonFly::C1IntegerValue'
        #'DragonFly::C1BoolValue'
        #'DragonFly::C1Int32Value'
        #'DragonFly::C1Int64Value'
        #'DragonFly::C1SmallIntegerValue'
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector.
     A correponding method with real names must be present in my concrete subclasses
     if it has extensions."

    ^ #(
        Integer asC1Int32Value
        'JavaMethod class' new
    )
! !

!jv_dragonfly_c1 class methodsFor:'documentation'!

version_HG
    ^ '$Changeset: <not expanded> $'
! !

