"
    Copyright (c) 2016-now, Jan Vrany <jan . vrany [at] fit . cvut . cz>
    All rights reserved.

    Redistribution and use in source and binary forms, with or without modification, 
    are permitted provided that the following conditions are met:

    1. Redistributions of source code must retain the above copyright notice, 
       this list of conditions and the following disclaimer.
    2. Redistributions in binary form must reproduce the above copyright notice, 
       this list of conditions and the following disclaimer in the documentation 
       and/or other materials provided with the distribution.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 'AS IS' AND 
    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR 
    ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
    ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
"
"{ Package: 'jv:dragonfly/udis86sx' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#UDIS86Mnemonics
	instanceVariableNames:''
	classVariableNames:'UD_Iinvalid UD_I3dnow UD_Inone UD_Idb UD_Ipause UD_Iaaa UD_Iaad
		UD_Iaam UD_Iaas UD_Iadc UD_Iadd UD_Iaddpd UD_Iaddps UD_Iaddsd
		UD_Iaddss UD_Iand UD_Iandpd UD_Iandps UD_Iandnpd UD_Iandnps
		UD_Iarpl UD_Imovsxd UD_Ibound UD_Ibsf UD_Ibsr UD_Ibswap UD_Ibt
		UD_Ibtc UD_Ibtr UD_Ibts UD_Icall UD_Icbw UD_Icwde UD_Icdqe
		UD_Iclc UD_Icld UD_Iclflush UD_Iclgi UD_Icli UD_Iclts UD_Icmc
		UD_Icmovo UD_Icmovno UD_Icmovb UD_Icmovae UD_Icmovz UD_Icmovnz
		UD_Icmovbe UD_Icmova UD_Icmovs UD_Icmovns UD_Icmovp UD_Icmovnp
		UD_Icmovl UD_Icmovge UD_Icmovle UD_Icmovg UD_Icmp UD_Icmppd
		UD_Icmpps UD_Icmpsb UD_Icmpsw UD_Icmpsd UD_Icmpsq UD_Icmpss
		UD_Icmpxchg UD_Icmpxchg8b UD_Icmpxchg16b UD_Icomisd UD_Icomiss
		UD_Icpuid UD_Icvtdq2pd UD_Icvtdq2ps UD_Icvtpd2dq UD_Icvtpd2pi
		UD_Icvtpd2ps UD_Icvtpi2ps UD_Icvtpi2pd UD_Icvtps2dq UD_Icvtps2pi
		UD_Icvtps2pd UD_Icvtsd2si UD_Icvtsd2ss UD_Icvtsi2ss UD_Icvtss2si
		UD_Icvtss2sd UD_Icvttpd2pi UD_Icvttpd2dq UD_Icvttps2dq
		UD_Icvttps2pi UD_Icvttsd2si UD_Icvtsi2sd UD_Icvttss2si UD_Icwd
		UD_Icdq UD_Icqo UD_Idaa UD_Idas UD_Idec UD_Idiv UD_Idivpd
		UD_Idivps UD_Idivsd UD_Idivss UD_Iemms UD_Ienter UD_If2xm1
		UD_Ifabs UD_Ifadd UD_Ifaddp UD_Ifbld UD_Ifbstp UD_Ifchs UD_Ifclex
		UD_Ifcmovb UD_Ifcmove UD_Ifcmovbe UD_Ifcmovu UD_Ifcmovnb
		UD_Ifcmovne UD_Ifcmovnbe UD_Ifcmovnu UD_Ifucomi UD_Ifcom
		UD_Ifcom2 UD_Ifcomp3 UD_Ifcomi UD_Ifucomip UD_Ifcomip UD_Ifcomp
		UD_Ifcomp5 UD_Ifcompp UD_Ifcos UD_Ifdecstp UD_Ifdiv UD_Ifdivp
		UD_Ifdivr UD_Ifdivrp UD_Ifemms UD_Iffree UD_Iffreep UD_Ificom
		UD_Ificomp UD_Ifild UD_Ifincstp UD_Ifninit UD_Ifiadd UD_Ifidivr
		UD_Ifidiv UD_Ifisub UD_Ifisubr UD_Ifist UD_Ifistp UD_Ifisttp
		UD_Ifld UD_Ifld1 UD_Ifldl2t UD_Ifldl2e UD_Ifldpi UD_Ifldlg2
		UD_Ifldln2 UD_Ifldz UD_Ifldcw UD_Ifldenv UD_Ifmul UD_Ifmulp
		UD_Ifimul UD_Ifnop UD_Ifpatan UD_Ifprem UD_Ifprem1 UD_Ifptan
		UD_Ifrndint UD_Ifrstor UD_Ifnsave UD_Ifscale UD_Ifsin UD_Ifsincos
		UD_Ifsqrt UD_Ifstp UD_Ifstp1 UD_Ifstp8 UD_Ifstp9 UD_Ifst
		UD_Ifnstcw UD_Ifnstenv UD_Ifnstsw UD_Ifsub UD_Ifsubp UD_Ifsubr
		UD_Ifsubrp UD_Iftst UD_Ifucom UD_Ifucomp UD_Ifucompp UD_Ifxam
		UD_Ifxch UD_Ifxch4 UD_Ifxch7 UD_Ifxrstor UD_Ifxsave UD_Ifxtract
		UD_Ifyl2x UD_Ifyl2xp1 UD_Ihlt UD_Iidiv UD_Iin UD_Iimul UD_Iinc
		UD_Iinsb UD_Iinsw UD_Iinsd UD_Iint1 UD_Iint3 UD_Iint UD_Iinto
		UD_Iinvd UD_Iinvept UD_Iinvlpg UD_Iinvlpga UD_Iinvvpid UD_Iiretw
		UD_Iiretd UD_Iiretq UD_Ijo UD_Ijno UD_Ijb UD_Ijae UD_Ijz UD_Ijnz
		UD_Ijbe UD_Ija UD_Ijs UD_Ijns UD_Ijp UD_Ijnp UD_Ijl UD_Ijge
		UD_Ijle UD_Ijg UD_Ijcxz UD_Ijecxz UD_Ijrcxz UD_Ijmp UD_Ilahf
		UD_Ilar UD_Ilddqu UD_Ildmxcsr UD_Ilds UD_Ilea UD_Iles UD_Ilfs
		UD_Ilgs UD_Ilidt UD_Ilss UD_Ileave UD_Ilfence UD_Ilgdt UD_Illdt
		UD_Ilmsw UD_Ilock UD_Ilodsb UD_Ilodsw UD_Ilodsd UD_Ilodsq
		UD_Iloopne UD_Iloope UD_Iloop UD_Ilsl UD_Iltr UD_Imaskmovq
		UD_Imaxpd UD_Imaxps UD_Imaxsd UD_Imaxss UD_Imfence UD_Iminpd
		UD_Iminps UD_Iminsd UD_Iminss UD_Imonitor UD_Imontmul UD_Imov
		UD_Imovapd UD_Imovaps UD_Imovd UD_Imovhpd UD_Imovhps UD_Imovlhps
		UD_Imovlpd UD_Imovlps UD_Imovhlps UD_Imovmskpd UD_Imovmskps
		UD_Imovntdq UD_Imovnti UD_Imovntpd UD_Imovntps UD_Imovntq
		UD_Imovq UD_Imovsb UD_Imovsw UD_Imovsd UD_Imovsq UD_Imovss
		UD_Imovsx UD_Imovupd UD_Imovups UD_Imovzx UD_Imul UD_Imulpd
		UD_Imulps UD_Imulsd UD_Imulss UD_Imwait UD_Ineg UD_Inop UD_Inot
		UD_Ior UD_Iorpd UD_Iorps UD_Iout UD_Ioutsb UD_Ioutsw UD_Ioutsd
		UD_Ipacksswb UD_Ipackssdw UD_Ipackuswb UD_Ipaddb UD_Ipaddw
		UD_Ipaddd UD_Ipaddsb UD_Ipaddsw UD_Ipaddusb UD_Ipaddusw UD_Ipand
		UD_Ipandn UD_Ipavgb UD_Ipavgw UD_Ipcmpeqb UD_Ipcmpeqw UD_Ipcmpeqd
		UD_Ipcmpgtb UD_Ipcmpgtw UD_Ipcmpgtd UD_Ipextrb UD_Ipextrd
		UD_Ipextrq UD_Ipextrw UD_Ipinsrb UD_Ipinsrw UD_Ipinsrd UD_Ipinsrq
		UD_Ipmaddwd UD_Ipmaxsw UD_Ipmaxub UD_Ipminsw UD_Ipminub
		UD_Ipmovmskb UD_Ipmulhuw UD_Ipmulhw UD_Ipmullw UD_Ipop UD_Ipopa
		UD_Ipopad UD_Ipopfw UD_Ipopfd UD_Ipopfq UD_Ipor UD_Iprefetch
		UD_Iprefetchnta UD_Iprefetcht0 UD_Iprefetcht1 UD_Iprefetcht2
		UD_Ipsadbw UD_Ipshufw UD_Ipsllw UD_Ipslld UD_Ipsllq UD_Ipsraw
		UD_Ipsrad UD_Ipsrlw UD_Ipsrld UD_Ipsrlq UD_Ipsubb UD_Ipsubw
		UD_Ipsubd UD_Ipsubsb UD_Ipsubsw UD_Ipsubusb UD_Ipsubusw
		UD_Ipunpckhbw UD_Ipunpckhwd UD_Ipunpckhdq UD_Ipunpcklbw
		UD_Ipunpcklwd UD_Ipunpckldq UD_Ipi2fw UD_Ipi2fd UD_Ipf2iw
		UD_Ipf2id UD_Ipfnacc UD_Ipfpnacc UD_Ipfcmpge UD_Ipfmin UD_Ipfrcp
		UD_Ipfrsqrt UD_Ipfsub UD_Ipfadd UD_Ipfcmpgt UD_Ipfmax
		UD_Ipfrcpit1 UD_Ipfrsqit1 UD_Ipfsubr UD_Ipfacc UD_Ipfcmpeq
		UD_Ipfmul UD_Ipfrcpit2 UD_Ipmulhrw UD_Ipswapd UD_Ipavgusb
		UD_Ipush UD_Ipusha UD_Ipushad UD_Ipushfw UD_Ipushfd UD_Ipushfq
		UD_Ipxor UD_Ircl UD_Ircr UD_Irol UD_Iror UD_Ircpps UD_Ircpss
		UD_Irdmsr UD_Irdpmc UD_Irdtsc UD_Irdtscp UD_Irepne UD_Irep
		UD_Iret UD_Iretf UD_Irsm UD_Irsqrtps UD_Irsqrtss UD_Isahf
		UD_Isalc UD_Isar UD_Ishl UD_Ishr UD_Isbb UD_Iscasb UD_Iscasw
		UD_Iscasd UD_Iscasq UD_Iseto UD_Isetno UD_Isetb UD_Isetae
		UD_Isetz UD_Isetnz UD_Isetbe UD_Iseta UD_Isets UD_Isetns UD_Isetp
		UD_Isetnp UD_Isetl UD_Isetge UD_Isetle UD_Isetg UD_Isfence
		UD_Isgdt UD_Ishld UD_Ishrd UD_Ishufpd UD_Ishufps UD_Isidt
		UD_Isldt UD_Ismsw UD_Isqrtps UD_Isqrtpd UD_Isqrtsd UD_Isqrtss
		UD_Istc UD_Istd UD_Istgi UD_Isti UD_Iskinit UD_Istmxcsr UD_Istosb
		UD_Istosw UD_Istosd UD_Istosq UD_Istr UD_Isub UD_Isubpd UD_Isubps
		UD_Isubsd UD_Isubss UD_Iswapgs UD_Isyscall UD_Isysenter
		UD_Isysexit UD_Isysret UD_Itest UD_Iucomisd UD_Iucomiss UD_Iud2
		UD_Iunpckhpd UD_Iunpckhps UD_Iunpcklps UD_Iunpcklpd UD_Iverr
		UD_Iverw UD_Ivmcall UD_Ivmclear UD_Ivmxon UD_Ivmptrld UD_Ivmptrst
		UD_Ivmlaunch UD_Ivmresume UD_Ivmxoff UD_Ivmread UD_Ivmwrite
		UD_Ivmrun UD_Ivmmcall UD_Ivmload UD_Ivmsave UD_Iwait UD_Iwbinvd
		UD_Iwrmsr UD_Ixadd UD_Ixchg UD_Ixgetbv UD_Ixlatb UD_Ixor
		UD_Ixorpd UD_Ixorps UD_Ixcryptecb UD_Ixcryptcbc UD_Ixcryptctr
		UD_Ixcryptcfb UD_Ixcryptofb UD_Ixrstor UD_Ixsave UD_Ixsetbv
		UD_Ixsha1 UD_Ixsha256 UD_Ixstore UD_Iaesdec UD_Iaesdeclast
		UD_Iaesenc UD_Iaesenclast UD_Iaesimc UD_Iaeskeygenassist
		UD_Ipclmulqdq UD_Igetsec UD_Imovdqa UD_Imaskmovdqu UD_Imovdq2q
		UD_Imovdqu UD_Imovq2dq UD_Ipaddq UD_Ipsubq UD_Ipmuludq
		UD_Ipshufhw UD_Ipshuflw UD_Ipshufd UD_Ipslldq UD_Ipsrldq
		UD_Ipunpckhqdq UD_Ipunpcklqdq UD_Iaddsubpd UD_Iaddsubps
		UD_Ihaddpd UD_Ihaddps UD_Ihsubpd UD_Ihsubps UD_Imovddup
		UD_Imovshdup UD_Imovsldup UD_Ipabsb UD_Ipabsw UD_Ipabsd
		UD_Ipshufb UD_Iphaddw UD_Iphaddd UD_Iphaddsw UD_Ipmaddubsw
		UD_Iphsubw UD_Iphsubd UD_Iphsubsw UD_Ipsignb UD_Ipsignd
		UD_Ipsignw UD_Ipmulhrsw UD_Ipalignr UD_Ipblendvb UD_Ipmuldq
		UD_Ipminsb UD_Ipminsd UD_Ipminuw UD_Ipminud UD_Ipmaxsb UD_Ipmaxsd
		UD_Ipmaxud UD_Ipmaxuw UD_Ipmulld UD_Iphminposuw UD_Iroundps
		UD_Iroundpd UD_Iroundss UD_Iroundsd UD_Iblendpd UD_Ipblendw
		UD_Iblendps UD_Iblendvpd UD_Iblendvps UD_Idpps UD_Idppd
		UD_Impsadbw UD_Iextractps UD_Iinsertps UD_Imovntdqa UD_Ipackusdw
		UD_Ipmovsxbw UD_Ipmovsxbd UD_Ipmovsxbq UD_Ipmovsxwd UD_Ipmovsxwq
		UD_Ipmovsxdq UD_Ipmovzxbw UD_Ipmovzxbd UD_Ipmovzxbq UD_Ipmovzxwd
		UD_Ipmovzxwq UD_Ipmovzxdq UD_Ipcmpeqq UD_Ipopcnt UD_Iptest
		UD_Ipcmpestri UD_Ipcmpestrm UD_Ipcmpgtq UD_Ipcmpistri
		UD_Ipcmpistrm UD_Imovbe UD_Icrc32 UD_MAX_MNEMONIC_CODE'
	poolDictionaries:''
	category:'UDIS86'
!

!UDIS86Mnemonics primitiveDefinitions!
%{

/*
 * includes, defines, structure definitions
 * and typedefs come here.
 */

#include <udis86.h>  

%}
! !

!UDIS86Mnemonics class methodsFor:'documentation'!

copyright
"
    Copyright (c) 2016-now, Jan Vrany <jan . vrany [at] fit . cvut . cz>
    All rights reserved.

    Redistribution and use in source and binary forms, with or without modification, 
    are permitted provided that the following conditions are met:

    1. Redistributions of source code must retain the above copyright notice, 
       this list of conditions and the following disclaimer.
    2. Redistributions in binary form must reproduce the above copyright notice, 
       this list of conditions and the following disclaimer in the documentation 
       and/or other materials provided with the distribution.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 'AS IS' AND 
    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR 
    ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON 
    ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

"
! !

!UDIS86Mnemonics class methodsFor:'initialization'!

initialize
    "Invoked at system start or when the class is dynamically loaded."

    | v |

%{
    v = __MKSMALLINT( UD_Iinvalid );
%}.
    UD_Iinvalid := v.
%{
    v = __MKSMALLINT( UD_I3dnow );
%}.
    UD_I3dnow := v.
%{
    v = __MKSMALLINT( UD_Inone );
%}.
    UD_Inone := v.
%{
    v = __MKSMALLINT( UD_Idb );
%}.
    UD_Idb := v.
%{
    v = __MKSMALLINT( UD_Ipause );
%}.
    UD_Ipause := v.
%{
    v = __MKSMALLINT( UD_Iaaa );
%}.
    UD_Iaaa := v.
%{
    v = __MKSMALLINT( UD_Iaad );
%}.
    UD_Iaad := v.
%{
    v = __MKSMALLINT( UD_Iaam );
%}.
    UD_Iaam := v.
%{
    v = __MKSMALLINT( UD_Iaas );
%}.
    UD_Iaas := v.
%{
    v = __MKSMALLINT( UD_Iadc );
%}.
    UD_Iadc := v.
%{
    v = __MKSMALLINT( UD_Iadd );
%}.
    UD_Iadd := v.
%{
    v = __MKSMALLINT( UD_Iaddpd );
%}.
    UD_Iaddpd := v.
%{
    v = __MKSMALLINT( UD_Iaddps );
%}.
    UD_Iaddps := v.
%{
    v = __MKSMALLINT( UD_Iaddsd );
%}.
    UD_Iaddsd := v.
%{
    v = __MKSMALLINT( UD_Iaddss );
%}.
    UD_Iaddss := v.
%{
    v = __MKSMALLINT( UD_Iand );
%}.
    UD_Iand := v.
%{
    v = __MKSMALLINT( UD_Iandpd );
%}.
    UD_Iandpd := v.
%{
    v = __MKSMALLINT( UD_Iandps );
%}.
    UD_Iandps := v.
%{
    v = __MKSMALLINT( UD_Iandnpd );
%}.
    UD_Iandnpd := v.
%{
    v = __MKSMALLINT( UD_Iandnps );
%}.
    UD_Iandnps := v.
%{
    v = __MKSMALLINT( UD_Iarpl );
%}.
    UD_Iarpl := v.
%{
    v = __MKSMALLINT( UD_Imovsxd );
%}.
    UD_Imovsxd := v.
%{
    v = __MKSMALLINT( UD_Ibound );
%}.
    UD_Ibound := v.
%{
    v = __MKSMALLINT( UD_Ibsf );
%}.
    UD_Ibsf := v.
%{
    v = __MKSMALLINT( UD_Ibsr );
%}.
    UD_Ibsr := v.
%{
    v = __MKSMALLINT( UD_Ibswap );
%}.
    UD_Ibswap := v.
%{
    v = __MKSMALLINT( UD_Ibt );
%}.
    UD_Ibt := v.
%{
    v = __MKSMALLINT( UD_Ibtc );
%}.
    UD_Ibtc := v.
%{
    v = __MKSMALLINT( UD_Ibtr );
%}.
    UD_Ibtr := v.
%{
    v = __MKSMALLINT( UD_Ibts );
%}.
    UD_Ibts := v.
%{
    v = __MKSMALLINT( UD_Icall );
%}.
    UD_Icall := v.
%{
    v = __MKSMALLINT( UD_Icbw );
%}.
    UD_Icbw := v.
%{
    v = __MKSMALLINT( UD_Icwde );
%}.
    UD_Icwde := v.
%{
    v = __MKSMALLINT( UD_Icdqe );
%}.
    UD_Icdqe := v.
%{
    v = __MKSMALLINT( UD_Iclc );
%}.
    UD_Iclc := v.
%{
    v = __MKSMALLINT( UD_Icld );
%}.
    UD_Icld := v.
%{
    v = __MKSMALLINT( UD_Iclflush );
%}.
    UD_Iclflush := v.
%{
    v = __MKSMALLINT( UD_Iclgi );
%}.
    UD_Iclgi := v.
%{
    v = __MKSMALLINT( UD_Icli );
%}.
    UD_Icli := v.
%{
    v = __MKSMALLINT( UD_Iclts );
%}.
    UD_Iclts := v.
%{
    v = __MKSMALLINT( UD_Icmc );
%}.
    UD_Icmc := v.
%{
    v = __MKSMALLINT( UD_Icmovo );
%}.
    UD_Icmovo := v.
%{
    v = __MKSMALLINT( UD_Icmovno );
%}.
    UD_Icmovno := v.
%{
    v = __MKSMALLINT( UD_Icmovb );
%}.
    UD_Icmovb := v.
%{
    v = __MKSMALLINT( UD_Icmovae );
%}.
    UD_Icmovae := v.
%{
    v = __MKSMALLINT( UD_Icmovz );
%}.
    UD_Icmovz := v.
%{
    v = __MKSMALLINT( UD_Icmovnz );
%}.
    UD_Icmovnz := v.
%{
    v = __MKSMALLINT( UD_Icmovbe );
%}.
    UD_Icmovbe := v.
%{
    v = __MKSMALLINT( UD_Icmova );
%}.
    UD_Icmova := v.
%{
    v = __MKSMALLINT( UD_Icmovs );
%}.
    UD_Icmovs := v.
%{
    v = __MKSMALLINT( UD_Icmovns );
%}.
    UD_Icmovns := v.
%{
    v = __MKSMALLINT( UD_Icmovp );
%}.
    UD_Icmovp := v.
%{
    v = __MKSMALLINT( UD_Icmovnp );
%}.
    UD_Icmovnp := v.
%{
    v = __MKSMALLINT( UD_Icmovl );
%}.
    UD_Icmovl := v.
%{
    v = __MKSMALLINT( UD_Icmovge );
%}.
    UD_Icmovge := v.
%{
    v = __MKSMALLINT( UD_Icmovle );
%}.
    UD_Icmovle := v.
%{
    v = __MKSMALLINT( UD_Icmovg );
%}.
    UD_Icmovg := v.
%{
    v = __MKSMALLINT( UD_Icmp );
%}.
    UD_Icmp := v.
%{
    v = __MKSMALLINT( UD_Icmppd );
%}.
    UD_Icmppd := v.
%{
    v = __MKSMALLINT( UD_Icmpps );
%}.
    UD_Icmpps := v.
%{
    v = __MKSMALLINT( UD_Icmpsb );
%}.
    UD_Icmpsb := v.
%{
    v = __MKSMALLINT( UD_Icmpsw );
%}.
    UD_Icmpsw := v.
%{
    v = __MKSMALLINT( UD_Icmpsd );
%}.
    UD_Icmpsd := v.
%{
    v = __MKSMALLINT( UD_Icmpsq );
%}.
    UD_Icmpsq := v.
%{
    v = __MKSMALLINT( UD_Icmpss );
%}.
    UD_Icmpss := v.
%{
    v = __MKSMALLINT( UD_Icmpxchg );
%}.
    UD_Icmpxchg := v.
%{
    v = __MKSMALLINT( UD_Icmpxchg8b );
%}.
    UD_Icmpxchg8b := v.
%{
    v = __MKSMALLINT( UD_Icmpxchg16b );
%}.
    UD_Icmpxchg16b := v.
%{
    v = __MKSMALLINT( UD_Icomisd );
%}.
    UD_Icomisd := v.
%{
    v = __MKSMALLINT( UD_Icomiss );
%}.
    UD_Icomiss := v.
%{
    v = __MKSMALLINT( UD_Icpuid );
%}.
    UD_Icpuid := v.
%{
    v = __MKSMALLINT( UD_Icvtdq2pd );
%}.
    UD_Icvtdq2pd := v.
%{
    v = __MKSMALLINT( UD_Icvtdq2ps );
%}.
    UD_Icvtdq2ps := v.
%{
    v = __MKSMALLINT( UD_Icvtpd2dq );
%}.
    UD_Icvtpd2dq := v.
%{
    v = __MKSMALLINT( UD_Icvtpd2pi );
%}.
    UD_Icvtpd2pi := v.
%{
    v = __MKSMALLINT( UD_Icvtpd2ps );
%}.
    UD_Icvtpd2ps := v.
%{
    v = __MKSMALLINT( UD_Icvtpi2ps );
%}.
    UD_Icvtpi2ps := v.
%{
    v = __MKSMALLINT( UD_Icvtpi2pd );
%}.
    UD_Icvtpi2pd := v.
%{
    v = __MKSMALLINT( UD_Icvtps2dq );
%}.
    UD_Icvtps2dq := v.
%{
    v = __MKSMALLINT( UD_Icvtps2pi );
%}.
    UD_Icvtps2pi := v.
%{
    v = __MKSMALLINT( UD_Icvtps2pd );
%}.
    UD_Icvtps2pd := v.
%{
    v = __MKSMALLINT( UD_Icvtsd2si );
%}.
    UD_Icvtsd2si := v.
%{
    v = __MKSMALLINT( UD_Icvtsd2ss );
%}.
    UD_Icvtsd2ss := v.
%{
    v = __MKSMALLINT( UD_Icvtsi2ss );
%}.
    UD_Icvtsi2ss := v.
%{
    v = __MKSMALLINT( UD_Icvtss2si );
%}.
    UD_Icvtss2si := v.
%{
    v = __MKSMALLINT( UD_Icvtss2sd );
%}.
    UD_Icvtss2sd := v.
%{
    v = __MKSMALLINT( UD_Icvttpd2pi );
%}.
    UD_Icvttpd2pi := v.
%{
    v = __MKSMALLINT( UD_Icvttpd2dq );
%}.
    UD_Icvttpd2dq := v.
%{
    v = __MKSMALLINT( UD_Icvttps2dq );
%}.
    UD_Icvttps2dq := v.
%{
    v = __MKSMALLINT( UD_Icvttps2pi );
%}.
    UD_Icvttps2pi := v.
%{
    v = __MKSMALLINT( UD_Icvttsd2si );
%}.
    UD_Icvttsd2si := v.
%{
    v = __MKSMALLINT( UD_Icvtsi2sd );
%}.
    UD_Icvtsi2sd := v.
%{
    v = __MKSMALLINT( UD_Icvttss2si );
%}.
    UD_Icvttss2si := v.
%{
    v = __MKSMALLINT( UD_Icwd );
%}.
    UD_Icwd := v.
%{
    v = __MKSMALLINT( UD_Icdq );
%}.
    UD_Icdq := v.
%{
    v = __MKSMALLINT( UD_Icqo );
%}.
    UD_Icqo := v.
%{
    v = __MKSMALLINT( UD_Idaa );
%}.
    UD_Idaa := v.
%{
    v = __MKSMALLINT( UD_Idas );
%}.
    UD_Idas := v.
%{
    v = __MKSMALLINT( UD_Idec );
%}.
    UD_Idec := v.
%{
    v = __MKSMALLINT( UD_Idiv );
%}.
    UD_Idiv := v.
%{
    v = __MKSMALLINT( UD_Idivpd );
%}.
    UD_Idivpd := v.
%{
    v = __MKSMALLINT( UD_Idivps );
%}.
    UD_Idivps := v.
%{
    v = __MKSMALLINT( UD_Idivsd );
%}.
    UD_Idivsd := v.
%{
    v = __MKSMALLINT( UD_Idivss );
%}.
    UD_Idivss := v.
%{
    v = __MKSMALLINT( UD_Iemms );
%}.
    UD_Iemms := v.
%{
    v = __MKSMALLINT( UD_Ienter );
%}.
    UD_Ienter := v.
%{
    v = __MKSMALLINT( UD_If2xm1 );
%}.
    UD_If2xm1 := v.
%{
    v = __MKSMALLINT( UD_Ifabs );
%}.
    UD_Ifabs := v.
%{
    v = __MKSMALLINT( UD_Ifadd );
%}.
    UD_Ifadd := v.
%{
    v = __MKSMALLINT( UD_Ifaddp );
%}.
    UD_Ifaddp := v.
%{
    v = __MKSMALLINT( UD_Ifbld );
%}.
    UD_Ifbld := v.
%{
    v = __MKSMALLINT( UD_Ifbstp );
%}.
    UD_Ifbstp := v.
%{
    v = __MKSMALLINT( UD_Ifchs );
%}.
    UD_Ifchs := v.
%{
    v = __MKSMALLINT( UD_Ifclex );
%}.
    UD_Ifclex := v.
%{
    v = __MKSMALLINT( UD_Ifcmovb );
%}.
    UD_Ifcmovb := v.
%{
    v = __MKSMALLINT( UD_Ifcmove );
%}.
    UD_Ifcmove := v.
%{
    v = __MKSMALLINT( UD_Ifcmovbe );
%}.
    UD_Ifcmovbe := v.
%{
    v = __MKSMALLINT( UD_Ifcmovu );
%}.
    UD_Ifcmovu := v.
%{
    v = __MKSMALLINT( UD_Ifcmovnb );
%}.
    UD_Ifcmovnb := v.
%{
    v = __MKSMALLINT( UD_Ifcmovne );
%}.
    UD_Ifcmovne := v.
%{
    v = __MKSMALLINT( UD_Ifcmovnbe );
%}.
    UD_Ifcmovnbe := v.
%{
    v = __MKSMALLINT( UD_Ifcmovnu );
%}.
    UD_Ifcmovnu := v.
%{
    v = __MKSMALLINT( UD_Ifucomi );
%}.
    UD_Ifucomi := v.
%{
    v = __MKSMALLINT( UD_Ifcom );
%}.
    UD_Ifcom := v.
%{
    v = __MKSMALLINT( UD_Ifcom2 );
%}.
    UD_Ifcom2 := v.
%{
    v = __MKSMALLINT( UD_Ifcomp3 );
%}.
    UD_Ifcomp3 := v.
%{
    v = __MKSMALLINT( UD_Ifcomi );
%}.
    UD_Ifcomi := v.
%{
    v = __MKSMALLINT( UD_Ifucomip );
%}.
    UD_Ifucomip := v.
%{
    v = __MKSMALLINT( UD_Ifcomip );
%}.
    UD_Ifcomip := v.
%{
    v = __MKSMALLINT( UD_Ifcomp );
%}.
    UD_Ifcomp := v.
%{
    v = __MKSMALLINT( UD_Ifcomp5 );
%}.
    UD_Ifcomp5 := v.
%{
    v = __MKSMALLINT( UD_Ifcompp );
%}.
    UD_Ifcompp := v.
%{
    v = __MKSMALLINT( UD_Ifcos );
%}.
    UD_Ifcos := v.
%{
    v = __MKSMALLINT( UD_Ifdecstp );
%}.
    UD_Ifdecstp := v.
%{
    v = __MKSMALLINT( UD_Ifdiv );
%}.
    UD_Ifdiv := v.
%{
    v = __MKSMALLINT( UD_Ifdivp );
%}.
    UD_Ifdivp := v.
%{
    v = __MKSMALLINT( UD_Ifdivr );
%}.
    UD_Ifdivr := v.
%{
    v = __MKSMALLINT( UD_Ifdivrp );
%}.
    UD_Ifdivrp := v.
%{
    v = __MKSMALLINT( UD_Ifemms );
%}.
    UD_Ifemms := v.
%{
    v = __MKSMALLINT( UD_Iffree );
%}.
    UD_Iffree := v.
%{
    v = __MKSMALLINT( UD_Iffreep );
%}.
    UD_Iffreep := v.
%{
    v = __MKSMALLINT( UD_Ificom );
%}.
    UD_Ificom := v.
%{
    v = __MKSMALLINT( UD_Ificomp );
%}.
    UD_Ificomp := v.
%{
    v = __MKSMALLINT( UD_Ifild );
%}.
    UD_Ifild := v.
%{
    v = __MKSMALLINT( UD_Ifincstp );
%}.
    UD_Ifincstp := v.
%{
    v = __MKSMALLINT( UD_Ifninit );
%}.
    UD_Ifninit := v.
%{
    v = __MKSMALLINT( UD_Ifiadd );
%}.
    UD_Ifiadd := v.
%{
    v = __MKSMALLINT( UD_Ifidivr );
%}.
    UD_Ifidivr := v.
%{
    v = __MKSMALLINT( UD_Ifidiv );
%}.
    UD_Ifidiv := v.
%{
    v = __MKSMALLINT( UD_Ifisub );
%}.
    UD_Ifisub := v.
%{
    v = __MKSMALLINT( UD_Ifisubr );
%}.
    UD_Ifisubr := v.
%{
    v = __MKSMALLINT( UD_Ifist );
%}.
    UD_Ifist := v.
%{
    v = __MKSMALLINT( UD_Ifistp );
%}.
    UD_Ifistp := v.
%{
    v = __MKSMALLINT( UD_Ifisttp );
%}.
    UD_Ifisttp := v.
%{
    v = __MKSMALLINT( UD_Ifld );
%}.
    UD_Ifld := v.
%{
    v = __MKSMALLINT( UD_Ifld1 );
%}.
    UD_Ifld1 := v.
%{
    v = __MKSMALLINT( UD_Ifldl2t );
%}.
    UD_Ifldl2t := v.
%{
    v = __MKSMALLINT( UD_Ifldl2e );
%}.
    UD_Ifldl2e := v.
%{
    v = __MKSMALLINT( UD_Ifldpi );
%}.
    UD_Ifldpi := v.
%{
    v = __MKSMALLINT( UD_Ifldlg2 );
%}.
    UD_Ifldlg2 := v.
%{
    v = __MKSMALLINT( UD_Ifldln2 );
%}.
    UD_Ifldln2 := v.
%{
    v = __MKSMALLINT( UD_Ifldz );
%}.
    UD_Ifldz := v.
%{
    v = __MKSMALLINT( UD_Ifldcw );
%}.
    UD_Ifldcw := v.
%{
    v = __MKSMALLINT( UD_Ifldenv );
%}.
    UD_Ifldenv := v.
%{
    v = __MKSMALLINT( UD_Ifmul );
%}.
    UD_Ifmul := v.
%{
    v = __MKSMALLINT( UD_Ifmulp );
%}.
    UD_Ifmulp := v.
%{
    v = __MKSMALLINT( UD_Ifimul );
%}.
    UD_Ifimul := v.
%{
    v = __MKSMALLINT( UD_Ifnop );
%}.
    UD_Ifnop := v.
%{
    v = __MKSMALLINT( UD_Ifpatan );
%}.
    UD_Ifpatan := v.
%{
    v = __MKSMALLINT( UD_Ifprem );
%}.
    UD_Ifprem := v.
%{
    v = __MKSMALLINT( UD_Ifprem1 );
%}.
    UD_Ifprem1 := v.
%{
    v = __MKSMALLINT( UD_Ifptan );
%}.
    UD_Ifptan := v.
%{
    v = __MKSMALLINT( UD_Ifrndint );
%}.
    UD_Ifrndint := v.
%{
    v = __MKSMALLINT( UD_Ifrstor );
%}.
    UD_Ifrstor := v.
%{
    v = __MKSMALLINT( UD_Ifnsave );
%}.
    UD_Ifnsave := v.
%{
    v = __MKSMALLINT( UD_Ifscale );
%}.
    UD_Ifscale := v.
%{
    v = __MKSMALLINT( UD_Ifsin );
%}.
    UD_Ifsin := v.
%{
    v = __MKSMALLINT( UD_Ifsincos );
%}.
    UD_Ifsincos := v.
%{
    v = __MKSMALLINT( UD_Ifsqrt );
%}.
    UD_Ifsqrt := v.
%{
    v = __MKSMALLINT( UD_Ifstp );
%}.
    UD_Ifstp := v.
%{
    v = __MKSMALLINT( UD_Ifstp1 );
%}.
    UD_Ifstp1 := v.
%{
    v = __MKSMALLINT( UD_Ifstp8 );
%}.
    UD_Ifstp8 := v.
%{
    v = __MKSMALLINT( UD_Ifstp9 );
%}.
    UD_Ifstp9 := v.
%{
    v = __MKSMALLINT( UD_Ifst );
%}.
    UD_Ifst := v.
%{
    v = __MKSMALLINT( UD_Ifnstcw );
%}.
    UD_Ifnstcw := v.
%{
    v = __MKSMALLINT( UD_Ifnstenv );
%}.
    UD_Ifnstenv := v.
%{
    v = __MKSMALLINT( UD_Ifnstsw );
%}.
    UD_Ifnstsw := v.
%{
    v = __MKSMALLINT( UD_Ifsub );
%}.
    UD_Ifsub := v.
%{
    v = __MKSMALLINT( UD_Ifsubp );
%}.
    UD_Ifsubp := v.
%{
    v = __MKSMALLINT( UD_Ifsubr );
%}.
    UD_Ifsubr := v.
%{
    v = __MKSMALLINT( UD_Ifsubrp );
%}.
    UD_Ifsubrp := v.
%{
    v = __MKSMALLINT( UD_Iftst );
%}.
    UD_Iftst := v.
%{
    v = __MKSMALLINT( UD_Ifucom );
%}.
    UD_Ifucom := v.
%{
    v = __MKSMALLINT( UD_Ifucomp );
%}.
    UD_Ifucomp := v.
%{
    v = __MKSMALLINT( UD_Ifucompp );
%}.
    UD_Ifucompp := v.
%{
    v = __MKSMALLINT( UD_Ifxam );
%}.
    UD_Ifxam := v.
%{
    v = __MKSMALLINT( UD_Ifxch );
%}.
    UD_Ifxch := v.
%{
    v = __MKSMALLINT( UD_Ifxch4 );
%}.
    UD_Ifxch4 := v.
%{
    v = __MKSMALLINT( UD_Ifxch7 );
%}.
    UD_Ifxch7 := v.
%{
    v = __MKSMALLINT( UD_Ifxrstor );
%}.
    UD_Ifxrstor := v.
%{
    v = __MKSMALLINT( UD_Ifxsave );
%}.
    UD_Ifxsave := v.
%{
    v = __MKSMALLINT( UD_Ifxtract );
%}.
    UD_Ifxtract := v.
%{
    v = __MKSMALLINT( UD_Ifyl2x );
%}.
    UD_Ifyl2x := v.
%{
    v = __MKSMALLINT( UD_Ifyl2xp1 );
%}.
    UD_Ifyl2xp1 := v.
%{
    v = __MKSMALLINT( UD_Ihlt );
%}.
    UD_Ihlt := v.
%{
    v = __MKSMALLINT( UD_Iidiv );
%}.
    UD_Iidiv := v.
%{
    v = __MKSMALLINT( UD_Iin );
%}.
    UD_Iin := v.
%{
    v = __MKSMALLINT( UD_Iimul );
%}.
    UD_Iimul := v.
%{
    v = __MKSMALLINT( UD_Iinc );
%}.
    UD_Iinc := v.
%{
    v = __MKSMALLINT( UD_Iinsb );
%}.
    UD_Iinsb := v.
%{
    v = __MKSMALLINT( UD_Iinsw );
%}.
    UD_Iinsw := v.
%{
    v = __MKSMALLINT( UD_Iinsd );
%}.
    UD_Iinsd := v.
%{
    v = __MKSMALLINT( UD_Iint1 );
%}.
    UD_Iint1 := v.
%{
    v = __MKSMALLINT( UD_Iint3 );
%}.
    UD_Iint3 := v.
%{
    v = __MKSMALLINT( UD_Iint );
%}.
    UD_Iint := v.
%{
    v = __MKSMALLINT( UD_Iinto );
%}.
    UD_Iinto := v.
%{
    v = __MKSMALLINT( UD_Iinvd );
%}.
    UD_Iinvd := v.
%{
    v = __MKSMALLINT( UD_Iinvept );
%}.
    UD_Iinvept := v.
%{
    v = __MKSMALLINT( UD_Iinvlpg );
%}.
    UD_Iinvlpg := v.
%{
    v = __MKSMALLINT( UD_Iinvlpga );
%}.
    UD_Iinvlpga := v.
%{
    v = __MKSMALLINT( UD_Iinvvpid );
%}.
    UD_Iinvvpid := v.
%{
    v = __MKSMALLINT( UD_Iiretw );
%}.
    UD_Iiretw := v.
%{
    v = __MKSMALLINT( UD_Iiretd );
%}.
    UD_Iiretd := v.
%{
    v = __MKSMALLINT( UD_Iiretq );
%}.
    UD_Iiretq := v.
%{
    v = __MKSMALLINT( UD_Ijo );
%}.
    UD_Ijo := v.
%{
    v = __MKSMALLINT( UD_Ijno );
%}.
    UD_Ijno := v.
%{
    v = __MKSMALLINT( UD_Ijb );
%}.
    UD_Ijb := v.
%{
    v = __MKSMALLINT( UD_Ijae );
%}.
    UD_Ijae := v.
%{
    v = __MKSMALLINT( UD_Ijz );
%}.
    UD_Ijz := v.
%{
    v = __MKSMALLINT( UD_Ijnz );
%}.
    UD_Ijnz := v.
%{
    v = __MKSMALLINT( UD_Ijbe );
%}.
    UD_Ijbe := v.
%{
    v = __MKSMALLINT( UD_Ija );
%}.
    UD_Ija := v.
%{
    v = __MKSMALLINT( UD_Ijs );
%}.
    UD_Ijs := v.
%{
    v = __MKSMALLINT( UD_Ijns );
%}.
    UD_Ijns := v.
%{
    v = __MKSMALLINT( UD_Ijp );
%}.
    UD_Ijp := v.
%{
    v = __MKSMALLINT( UD_Ijnp );
%}.
    UD_Ijnp := v.
%{
    v = __MKSMALLINT( UD_Ijl );
%}.
    UD_Ijl := v.
%{
    v = __MKSMALLINT( UD_Ijge );
%}.
    UD_Ijge := v.
%{
    v = __MKSMALLINT( UD_Ijle );
%}.
    UD_Ijle := v.
%{
    v = __MKSMALLINT( UD_Ijg );
%}.
    UD_Ijg := v.
%{
    v = __MKSMALLINT( UD_Ijcxz );
%}.
    UD_Ijcxz := v.
%{
    v = __MKSMALLINT( UD_Ijecxz );
%}.
    UD_Ijecxz := v.
%{
    v = __MKSMALLINT( UD_Ijrcxz );
%}.
    UD_Ijrcxz := v.
%{
    v = __MKSMALLINT( UD_Ijmp );
%}.
    UD_Ijmp := v.
%{
    v = __MKSMALLINT( UD_Ilahf );
%}.
    UD_Ilahf := v.
%{
    v = __MKSMALLINT( UD_Ilar );
%}.
    UD_Ilar := v.
%{
    v = __MKSMALLINT( UD_Ilddqu );
%}.
    UD_Ilddqu := v.
%{
    v = __MKSMALLINT( UD_Ildmxcsr );
%}.
    UD_Ildmxcsr := v.
%{
    v = __MKSMALLINT( UD_Ilds );
%}.
    UD_Ilds := v.
%{
    v = __MKSMALLINT( UD_Ilea );
%}.
    UD_Ilea := v.
%{
    v = __MKSMALLINT( UD_Iles );
%}.
    UD_Iles := v.
%{
    v = __MKSMALLINT( UD_Ilfs );
%}.
    UD_Ilfs := v.
%{
    v = __MKSMALLINT( UD_Ilgs );
%}.
    UD_Ilgs := v.
%{
    v = __MKSMALLINT( UD_Ilidt );
%}.
    UD_Ilidt := v.
%{
    v = __MKSMALLINT( UD_Ilss );
%}.
    UD_Ilss := v.
%{
    v = __MKSMALLINT( UD_Ileave );
%}.
    UD_Ileave := v.
%{
    v = __MKSMALLINT( UD_Ilfence );
%}.
    UD_Ilfence := v.
%{
    v = __MKSMALLINT( UD_Ilgdt );
%}.
    UD_Ilgdt := v.
%{
    v = __MKSMALLINT( UD_Illdt );
%}.
    UD_Illdt := v.
%{
    v = __MKSMALLINT( UD_Ilmsw );
%}.
    UD_Ilmsw := v.
%{
    v = __MKSMALLINT( UD_Ilock );
%}.
    UD_Ilock := v.
%{
    v = __MKSMALLINT( UD_Ilodsb );
%}.
    UD_Ilodsb := v.
%{
    v = __MKSMALLINT( UD_Ilodsw );
%}.
    UD_Ilodsw := v.
%{
    v = __MKSMALLINT( UD_Ilodsd );
%}.
    UD_Ilodsd := v.
%{
    v = __MKSMALLINT( UD_Ilodsq );
%}.
    UD_Ilodsq := v.
%{
    v = __MKSMALLINT( UD_Iloopne );
%}.
    UD_Iloopne := v.
%{
    v = __MKSMALLINT( UD_Iloope );
%}.
    UD_Iloope := v.
%{
    v = __MKSMALLINT( UD_Iloop );
%}.
    UD_Iloop := v.
%{
    v = __MKSMALLINT( UD_Ilsl );
%}.
    UD_Ilsl := v.
%{
    v = __MKSMALLINT( UD_Iltr );
%}.
    UD_Iltr := v.
%{
    v = __MKSMALLINT( UD_Imaskmovq );
%}.
    UD_Imaskmovq := v.
%{
    v = __MKSMALLINT( UD_Imaxpd );
%}.
    UD_Imaxpd := v.
%{
    v = __MKSMALLINT( UD_Imaxps );
%}.
    UD_Imaxps := v.
%{
    v = __MKSMALLINT( UD_Imaxsd );
%}.
    UD_Imaxsd := v.
%{
    v = __MKSMALLINT( UD_Imaxss );
%}.
    UD_Imaxss := v.
%{
    v = __MKSMALLINT( UD_Imfence );
%}.
    UD_Imfence := v.
%{
    v = __MKSMALLINT( UD_Iminpd );
%}.
    UD_Iminpd := v.
%{
    v = __MKSMALLINT( UD_Iminps );
%}.
    UD_Iminps := v.
%{
    v = __MKSMALLINT( UD_Iminsd );
%}.
    UD_Iminsd := v.
%{
    v = __MKSMALLINT( UD_Iminss );
%}.
    UD_Iminss := v.
%{
    v = __MKSMALLINT( UD_Imonitor );
%}.
    UD_Imonitor := v.
%{
    v = __MKSMALLINT( UD_Imontmul );
%}.
    UD_Imontmul := v.
%{
    v = __MKSMALLINT( UD_Imov );
%}.
    UD_Imov := v.
%{
    v = __MKSMALLINT( UD_Imovapd );
%}.
    UD_Imovapd := v.
%{
    v = __MKSMALLINT( UD_Imovaps );
%}.
    UD_Imovaps := v.
%{
    v = __MKSMALLINT( UD_Imovd );
%}.
    UD_Imovd := v.
%{
    v = __MKSMALLINT( UD_Imovhpd );
%}.
    UD_Imovhpd := v.
%{
    v = __MKSMALLINT( UD_Imovhps );
%}.
    UD_Imovhps := v.
%{
    v = __MKSMALLINT( UD_Imovlhps );
%}.
    UD_Imovlhps := v.
%{
    v = __MKSMALLINT( UD_Imovlpd );
%}.
    UD_Imovlpd := v.
%{
    v = __MKSMALLINT( UD_Imovlps );
%}.
    UD_Imovlps := v.
%{
    v = __MKSMALLINT( UD_Imovhlps );
%}.
    UD_Imovhlps := v.
%{
    v = __MKSMALLINT( UD_Imovmskpd );
%}.
    UD_Imovmskpd := v.
%{
    v = __MKSMALLINT( UD_Imovmskps );
%}.
    UD_Imovmskps := v.
%{
    v = __MKSMALLINT( UD_Imovntdq );
%}.
    UD_Imovntdq := v.
%{
    v = __MKSMALLINT( UD_Imovnti );
%}.
    UD_Imovnti := v.
%{
    v = __MKSMALLINT( UD_Imovntpd );
%}.
    UD_Imovntpd := v.
%{
    v = __MKSMALLINT( UD_Imovntps );
%}.
    UD_Imovntps := v.
%{
    v = __MKSMALLINT( UD_Imovntq );
%}.
    UD_Imovntq := v.
%{
    v = __MKSMALLINT( UD_Imovq );
%}.
    UD_Imovq := v.
%{
    v = __MKSMALLINT( UD_Imovsb );
%}.
    UD_Imovsb := v.
%{
    v = __MKSMALLINT( UD_Imovsw );
%}.
    UD_Imovsw := v.
%{
    v = __MKSMALLINT( UD_Imovsd );
%}.
    UD_Imovsd := v.
%{
    v = __MKSMALLINT( UD_Imovsq );
%}.
    UD_Imovsq := v.
%{
    v = __MKSMALLINT( UD_Imovss );
%}.
    UD_Imovss := v.
%{
    v = __MKSMALLINT( UD_Imovsx );
%}.
    UD_Imovsx := v.
%{
    v = __MKSMALLINT( UD_Imovupd );
%}.
    UD_Imovupd := v.
%{
    v = __MKSMALLINT( UD_Imovups );
%}.
    UD_Imovups := v.
%{
    v = __MKSMALLINT( UD_Imovzx );
%}.
    UD_Imovzx := v.
%{
    v = __MKSMALLINT( UD_Imul );
%}.
    UD_Imul := v.
%{
    v = __MKSMALLINT( UD_Imulpd );
%}.
    UD_Imulpd := v.
%{
    v = __MKSMALLINT( UD_Imulps );
%}.
    UD_Imulps := v.
%{
    v = __MKSMALLINT( UD_Imulsd );
%}.
    UD_Imulsd := v.
%{
    v = __MKSMALLINT( UD_Imulss );
%}.
    UD_Imulss := v.
%{
    v = __MKSMALLINT( UD_Imwait );
%}.
    UD_Imwait := v.
%{
    v = __MKSMALLINT( UD_Ineg );
%}.
    UD_Ineg := v.
%{
    v = __MKSMALLINT( UD_Inop );
%}.
    UD_Inop := v.
%{
    v = __MKSMALLINT( UD_Inot );
%}.
    UD_Inot := v.
%{
    v = __MKSMALLINT( UD_Ior );
%}.
    UD_Ior := v.
%{
    v = __MKSMALLINT( UD_Iorpd );
%}.
    UD_Iorpd := v.
%{
    v = __MKSMALLINT( UD_Iorps );
%}.
    UD_Iorps := v.
%{
    v = __MKSMALLINT( UD_Iout );
%}.
    UD_Iout := v.
%{
    v = __MKSMALLINT( UD_Ioutsb );
%}.
    UD_Ioutsb := v.
%{
    v = __MKSMALLINT( UD_Ioutsw );
%}.
    UD_Ioutsw := v.
%{
    v = __MKSMALLINT( UD_Ioutsd );
%}.
    UD_Ioutsd := v.
%{
    v = __MKSMALLINT( UD_Ipacksswb );
%}.
    UD_Ipacksswb := v.
%{
    v = __MKSMALLINT( UD_Ipackssdw );
%}.
    UD_Ipackssdw := v.
%{
    v = __MKSMALLINT( UD_Ipackuswb );
%}.
    UD_Ipackuswb := v.
%{
    v = __MKSMALLINT( UD_Ipaddb );
%}.
    UD_Ipaddb := v.
%{
    v = __MKSMALLINT( UD_Ipaddw );
%}.
    UD_Ipaddw := v.
%{
    v = __MKSMALLINT( UD_Ipaddd );
%}.
    UD_Ipaddd := v.
%{
    v = __MKSMALLINT( UD_Ipaddsb );
%}.
    UD_Ipaddsb := v.
%{
    v = __MKSMALLINT( UD_Ipaddsw );
%}.
    UD_Ipaddsw := v.
%{
    v = __MKSMALLINT( UD_Ipaddusb );
%}.
    UD_Ipaddusb := v.
%{
    v = __MKSMALLINT( UD_Ipaddusw );
%}.
    UD_Ipaddusw := v.
%{
    v = __MKSMALLINT( UD_Ipand );
%}.
    UD_Ipand := v.
%{
    v = __MKSMALLINT( UD_Ipandn );
%}.
    UD_Ipandn := v.
%{
    v = __MKSMALLINT( UD_Ipavgb );
%}.
    UD_Ipavgb := v.
%{
    v = __MKSMALLINT( UD_Ipavgw );
%}.
    UD_Ipavgw := v.
%{
    v = __MKSMALLINT( UD_Ipcmpeqb );
%}.
    UD_Ipcmpeqb := v.
%{
    v = __MKSMALLINT( UD_Ipcmpeqw );
%}.
    UD_Ipcmpeqw := v.
%{
    v = __MKSMALLINT( UD_Ipcmpeqd );
%}.
    UD_Ipcmpeqd := v.
%{
    v = __MKSMALLINT( UD_Ipcmpgtb );
%}.
    UD_Ipcmpgtb := v.
%{
    v = __MKSMALLINT( UD_Ipcmpgtw );
%}.
    UD_Ipcmpgtw := v.
%{
    v = __MKSMALLINT( UD_Ipcmpgtd );
%}.
    UD_Ipcmpgtd := v.
%{
    v = __MKSMALLINT( UD_Ipextrb );
%}.
    UD_Ipextrb := v.
%{
    v = __MKSMALLINT( UD_Ipextrd );
%}.
    UD_Ipextrd := v.
%{
    v = __MKSMALLINT( UD_Ipextrq );
%}.
    UD_Ipextrq := v.
%{
    v = __MKSMALLINT( UD_Ipextrw );
%}.
    UD_Ipextrw := v.
%{
    v = __MKSMALLINT( UD_Ipinsrb );
%}.
    UD_Ipinsrb := v.
%{
    v = __MKSMALLINT( UD_Ipinsrw );
%}.
    UD_Ipinsrw := v.
%{
    v = __MKSMALLINT( UD_Ipinsrd );
%}.
    UD_Ipinsrd := v.
%{
    v = __MKSMALLINT( UD_Ipinsrq );
%}.
    UD_Ipinsrq := v.
%{
    v = __MKSMALLINT( UD_Ipmaddwd );
%}.
    UD_Ipmaddwd := v.
%{
    v = __MKSMALLINT( UD_Ipmaxsw );
%}.
    UD_Ipmaxsw := v.
%{
    v = __MKSMALLINT( UD_Ipmaxub );
%}.
    UD_Ipmaxub := v.
%{
    v = __MKSMALLINT( UD_Ipminsw );
%}.
    UD_Ipminsw := v.
%{
    v = __MKSMALLINT( UD_Ipminub );
%}.
    UD_Ipminub := v.
%{
    v = __MKSMALLINT( UD_Ipmovmskb );
%}.
    UD_Ipmovmskb := v.
%{
    v = __MKSMALLINT( UD_Ipmulhuw );
%}.
    UD_Ipmulhuw := v.
%{
    v = __MKSMALLINT( UD_Ipmulhw );
%}.
    UD_Ipmulhw := v.
%{
    v = __MKSMALLINT( UD_Ipmullw );
%}.
    UD_Ipmullw := v.
%{
    v = __MKSMALLINT( UD_Ipop );
%}.
    UD_Ipop := v.
%{
    v = __MKSMALLINT( UD_Ipopa );
%}.
    UD_Ipopa := v.
%{
    v = __MKSMALLINT( UD_Ipopad );
%}.
    UD_Ipopad := v.
%{
    v = __MKSMALLINT( UD_Ipopfw );
%}.
    UD_Ipopfw := v.
%{
    v = __MKSMALLINT( UD_Ipopfd );
%}.
    UD_Ipopfd := v.
%{
    v = __MKSMALLINT( UD_Ipopfq );
%}.
    UD_Ipopfq := v.
%{
    v = __MKSMALLINT( UD_Ipor );
%}.
    UD_Ipor := v.
%{
    v = __MKSMALLINT( UD_Iprefetch );
%}.
    UD_Iprefetch := v.
%{
    v = __MKSMALLINT( UD_Iprefetchnta );
%}.
    UD_Iprefetchnta := v.
%{
    v = __MKSMALLINT( UD_Iprefetcht0 );
%}.
    UD_Iprefetcht0 := v.
%{
    v = __MKSMALLINT( UD_Iprefetcht1 );
%}.
    UD_Iprefetcht1 := v.
%{
    v = __MKSMALLINT( UD_Iprefetcht2 );
%}.
    UD_Iprefetcht2 := v.
%{
    v = __MKSMALLINT( UD_Ipsadbw );
%}.
    UD_Ipsadbw := v.
%{
    v = __MKSMALLINT( UD_Ipshufw );
%}.
    UD_Ipshufw := v.
%{
    v = __MKSMALLINT( UD_Ipsllw );
%}.
    UD_Ipsllw := v.
%{
    v = __MKSMALLINT( UD_Ipslld );
%}.
    UD_Ipslld := v.
%{
    v = __MKSMALLINT( UD_Ipsllq );
%}.
    UD_Ipsllq := v.
%{
    v = __MKSMALLINT( UD_Ipsraw );
%}.
    UD_Ipsraw := v.
%{
    v = __MKSMALLINT( UD_Ipsrad );
%}.
    UD_Ipsrad := v.
%{
    v = __MKSMALLINT( UD_Ipsrlw );
%}.
    UD_Ipsrlw := v.
%{
    v = __MKSMALLINT( UD_Ipsrld );
%}.
    UD_Ipsrld := v.
%{
    v = __MKSMALLINT( UD_Ipsrlq );
%}.
    UD_Ipsrlq := v.
%{
    v = __MKSMALLINT( UD_Ipsubb );
%}.
    UD_Ipsubb := v.
%{
    v = __MKSMALLINT( UD_Ipsubw );
%}.
    UD_Ipsubw := v.
%{
    v = __MKSMALLINT( UD_Ipsubd );
%}.
    UD_Ipsubd := v.
%{
    v = __MKSMALLINT( UD_Ipsubsb );
%}.
    UD_Ipsubsb := v.
%{
    v = __MKSMALLINT( UD_Ipsubsw );
%}.
    UD_Ipsubsw := v.
%{
    v = __MKSMALLINT( UD_Ipsubusb );
%}.
    UD_Ipsubusb := v.
%{
    v = __MKSMALLINT( UD_Ipsubusw );
%}.
    UD_Ipsubusw := v.
%{
    v = __MKSMALLINT( UD_Ipunpckhbw );
%}.
    UD_Ipunpckhbw := v.
%{
    v = __MKSMALLINT( UD_Ipunpckhwd );
%}.
    UD_Ipunpckhwd := v.
%{
    v = __MKSMALLINT( UD_Ipunpckhdq );
%}.
    UD_Ipunpckhdq := v.
%{
    v = __MKSMALLINT( UD_Ipunpcklbw );
%}.
    UD_Ipunpcklbw := v.
%{
    v = __MKSMALLINT( UD_Ipunpcklwd );
%}.
    UD_Ipunpcklwd := v.
%{
    v = __MKSMALLINT( UD_Ipunpckldq );
%}.
    UD_Ipunpckldq := v.
%{
    v = __MKSMALLINT( UD_Ipi2fw );
%}.
    UD_Ipi2fw := v.
%{
    v = __MKSMALLINT( UD_Ipi2fd );
%}.
    UD_Ipi2fd := v.
%{
    v = __MKSMALLINT( UD_Ipf2iw );
%}.
    UD_Ipf2iw := v.
%{
    v = __MKSMALLINT( UD_Ipf2id );
%}.
    UD_Ipf2id := v.
%{
    v = __MKSMALLINT( UD_Ipfnacc );
%}.
    UD_Ipfnacc := v.
%{
    v = __MKSMALLINT( UD_Ipfpnacc );
%}.
    UD_Ipfpnacc := v.
%{
    v = __MKSMALLINT( UD_Ipfcmpge );
%}.
    UD_Ipfcmpge := v.
%{
    v = __MKSMALLINT( UD_Ipfmin );
%}.
    UD_Ipfmin := v.
%{
    v = __MKSMALLINT( UD_Ipfrcp );
%}.
    UD_Ipfrcp := v.
%{
    v = __MKSMALLINT( UD_Ipfrsqrt );
%}.
    UD_Ipfrsqrt := v.
%{
    v = __MKSMALLINT( UD_Ipfsub );
%}.
    UD_Ipfsub := v.
%{
    v = __MKSMALLINT( UD_Ipfadd );
%}.
    UD_Ipfadd := v.
%{
    v = __MKSMALLINT( UD_Ipfcmpgt );
%}.
    UD_Ipfcmpgt := v.
%{
    v = __MKSMALLINT( UD_Ipfmax );
%}.
    UD_Ipfmax := v.
%{
    v = __MKSMALLINT( UD_Ipfrcpit1 );
%}.
    UD_Ipfrcpit1 := v.
%{
    v = __MKSMALLINT( UD_Ipfrsqit1 );
%}.
    UD_Ipfrsqit1 := v.
%{
    v = __MKSMALLINT( UD_Ipfsubr );
%}.
    UD_Ipfsubr := v.
%{
    v = __MKSMALLINT( UD_Ipfacc );
%}.
    UD_Ipfacc := v.
%{
    v = __MKSMALLINT( UD_Ipfcmpeq );
%}.
    UD_Ipfcmpeq := v.
%{
    v = __MKSMALLINT( UD_Ipfmul );
%}.
    UD_Ipfmul := v.
%{
    v = __MKSMALLINT( UD_Ipfrcpit2 );
%}.
    UD_Ipfrcpit2 := v.
%{
    v = __MKSMALLINT( UD_Ipmulhrw );
%}.
    UD_Ipmulhrw := v.
%{
    v = __MKSMALLINT( UD_Ipswapd );
%}.
    UD_Ipswapd := v.
%{
    v = __MKSMALLINT( UD_Ipavgusb );
%}.
    UD_Ipavgusb := v.
%{
    v = __MKSMALLINT( UD_Ipush );
%}.
    UD_Ipush := v.
%{
    v = __MKSMALLINT( UD_Ipusha );
%}.
    UD_Ipusha := v.
%{
    v = __MKSMALLINT( UD_Ipushad );
%}.
    UD_Ipushad := v.
%{
    v = __MKSMALLINT( UD_Ipushfw );
%}.
    UD_Ipushfw := v.
%{
    v = __MKSMALLINT( UD_Ipushfd );
%}.
    UD_Ipushfd := v.
%{
    v = __MKSMALLINT( UD_Ipushfq );
%}.
    UD_Ipushfq := v.
%{
    v = __MKSMALLINT( UD_Ipxor );
%}.
    UD_Ipxor := v.
%{
    v = __MKSMALLINT( UD_Ircl );
%}.
    UD_Ircl := v.
%{
    v = __MKSMALLINT( UD_Ircr );
%}.
    UD_Ircr := v.
%{
    v = __MKSMALLINT( UD_Irol );
%}.
    UD_Irol := v.
%{
    v = __MKSMALLINT( UD_Iror );
%}.
    UD_Iror := v.
%{
    v = __MKSMALLINT( UD_Ircpps );
%}.
    UD_Ircpps := v.
%{
    v = __MKSMALLINT( UD_Ircpss );
%}.
    UD_Ircpss := v.
%{
    v = __MKSMALLINT( UD_Irdmsr );
%}.
    UD_Irdmsr := v.
%{
    v = __MKSMALLINT( UD_Irdpmc );
%}.
    UD_Irdpmc := v.
%{
    v = __MKSMALLINT( UD_Irdtsc );
%}.
    UD_Irdtsc := v.
%{
    v = __MKSMALLINT( UD_Irdtscp );
%}.
    UD_Irdtscp := v.
%{
    v = __MKSMALLINT( UD_Irepne );
%}.
    UD_Irepne := v.
%{
    v = __MKSMALLINT( UD_Irep );
%}.
    UD_Irep := v.
%{
    v = __MKSMALLINT( UD_Iret );
%}.
    UD_Iret := v.
%{
    v = __MKSMALLINT( UD_Iretf );
%}.
    UD_Iretf := v.
%{
    v = __MKSMALLINT( UD_Irsm );
%}.
    UD_Irsm := v.
%{
    v = __MKSMALLINT( UD_Irsqrtps );
%}.
    UD_Irsqrtps := v.
%{
    v = __MKSMALLINT( UD_Irsqrtss );
%}.
    UD_Irsqrtss := v.
%{
    v = __MKSMALLINT( UD_Isahf );
%}.
    UD_Isahf := v.
%{
    v = __MKSMALLINT( UD_Isalc );
%}.
    UD_Isalc := v.
%{
    v = __MKSMALLINT( UD_Isar );
%}.
    UD_Isar := v.
%{
    v = __MKSMALLINT( UD_Ishl );
%}.
    UD_Ishl := v.
%{
    v = __MKSMALLINT( UD_Ishr );
%}.
    UD_Ishr := v.
%{
    v = __MKSMALLINT( UD_Isbb );
%}.
    UD_Isbb := v.
%{
    v = __MKSMALLINT( UD_Iscasb );
%}.
    UD_Iscasb := v.
%{
    v = __MKSMALLINT( UD_Iscasw );
%}.
    UD_Iscasw := v.
%{
    v = __MKSMALLINT( UD_Iscasd );
%}.
    UD_Iscasd := v.
%{
    v = __MKSMALLINT( UD_Iscasq );
%}.
    UD_Iscasq := v.
%{
    v = __MKSMALLINT( UD_Iseto );
%}.
    UD_Iseto := v.
%{
    v = __MKSMALLINT( UD_Isetno );
%}.
    UD_Isetno := v.
%{
    v = __MKSMALLINT( UD_Isetb );
%}.
    UD_Isetb := v.
%{
    v = __MKSMALLINT( UD_Isetae );
%}.
    UD_Isetae := v.
%{
    v = __MKSMALLINT( UD_Isetz );
%}.
    UD_Isetz := v.
%{
    v = __MKSMALLINT( UD_Isetnz );
%}.
    UD_Isetnz := v.
%{
    v = __MKSMALLINT( UD_Isetbe );
%}.
    UD_Isetbe := v.
%{
    v = __MKSMALLINT( UD_Iseta );
%}.
    UD_Iseta := v.
%{
    v = __MKSMALLINT( UD_Isets );
%}.
    UD_Isets := v.
%{
    v = __MKSMALLINT( UD_Isetns );
%}.
    UD_Isetns := v.
%{
    v = __MKSMALLINT( UD_Isetp );
%}.
    UD_Isetp := v.
%{
    v = __MKSMALLINT( UD_Isetnp );
%}.
    UD_Isetnp := v.
%{
    v = __MKSMALLINT( UD_Isetl );
%}.
    UD_Isetl := v.
%{
    v = __MKSMALLINT( UD_Isetge );
%}.
    UD_Isetge := v.
%{
    v = __MKSMALLINT( UD_Isetle );
%}.
    UD_Isetle := v.
%{
    v = __MKSMALLINT( UD_Isetg );
%}.
    UD_Isetg := v.
%{
    v = __MKSMALLINT( UD_Isfence );
%}.
    UD_Isfence := v.
%{
    v = __MKSMALLINT( UD_Isgdt );
%}.
    UD_Isgdt := v.
%{
    v = __MKSMALLINT( UD_Ishld );
%}.
    UD_Ishld := v.
%{
    v = __MKSMALLINT( UD_Ishrd );
%}.
    UD_Ishrd := v.
%{
    v = __MKSMALLINT( UD_Ishufpd );
%}.
    UD_Ishufpd := v.
%{
    v = __MKSMALLINT( UD_Ishufps );
%}.
    UD_Ishufps := v.
%{
    v = __MKSMALLINT( UD_Isidt );
%}.
    UD_Isidt := v.
%{
    v = __MKSMALLINT( UD_Isldt );
%}.
    UD_Isldt := v.
%{
    v = __MKSMALLINT( UD_Ismsw );
%}.
    UD_Ismsw := v.
%{
    v = __MKSMALLINT( UD_Isqrtps );
%}.
    UD_Isqrtps := v.
%{
    v = __MKSMALLINT( UD_Isqrtpd );
%}.
    UD_Isqrtpd := v.
%{
    v = __MKSMALLINT( UD_Isqrtsd );
%}.
    UD_Isqrtsd := v.
%{
    v = __MKSMALLINT( UD_Isqrtss );
%}.
    UD_Isqrtss := v.
%{
    v = __MKSMALLINT( UD_Istc );
%}.
    UD_Istc := v.
%{
    v = __MKSMALLINT( UD_Istd );
%}.
    UD_Istd := v.
%{
    v = __MKSMALLINT( UD_Istgi );
%}.
    UD_Istgi := v.
%{
    v = __MKSMALLINT( UD_Isti );
%}.
    UD_Isti := v.
%{
    v = __MKSMALLINT( UD_Iskinit );
%}.
    UD_Iskinit := v.
%{
    v = __MKSMALLINT( UD_Istmxcsr );
%}.
    UD_Istmxcsr := v.
%{
    v = __MKSMALLINT( UD_Istosb );
%}.
    UD_Istosb := v.
%{
    v = __MKSMALLINT( UD_Istosw );
%}.
    UD_Istosw := v.
%{
    v = __MKSMALLINT( UD_Istosd );
%}.
    UD_Istosd := v.
%{
    v = __MKSMALLINT( UD_Istosq );
%}.
    UD_Istosq := v.
%{
    v = __MKSMALLINT( UD_Istr );
%}.
    UD_Istr := v.
%{
    v = __MKSMALLINT( UD_Isub );
%}.
    UD_Isub := v.
%{
    v = __MKSMALLINT( UD_Isubpd );
%}.
    UD_Isubpd := v.
%{
    v = __MKSMALLINT( UD_Isubps );
%}.
    UD_Isubps := v.
%{
    v = __MKSMALLINT( UD_Isubsd );
%}.
    UD_Isubsd := v.
%{
    v = __MKSMALLINT( UD_Isubss );
%}.
    UD_Isubss := v.
%{
    v = __MKSMALLINT( UD_Iswapgs );
%}.
    UD_Iswapgs := v.
%{
    v = __MKSMALLINT( UD_Isyscall );
%}.
    UD_Isyscall := v.
%{
    v = __MKSMALLINT( UD_Isysenter );
%}.
    UD_Isysenter := v.
%{
    v = __MKSMALLINT( UD_Isysexit );
%}.
    UD_Isysexit := v.
%{
    v = __MKSMALLINT( UD_Isysret );
%}.
    UD_Isysret := v.
%{
    v = __MKSMALLINT( UD_Itest );
%}.
    UD_Itest := v.
%{
    v = __MKSMALLINT( UD_Iucomisd );
%}.
    UD_Iucomisd := v.
%{
    v = __MKSMALLINT( UD_Iucomiss );
%}.
    UD_Iucomiss := v.
%{
    v = __MKSMALLINT( UD_Iud2 );
%}.
    UD_Iud2 := v.
%{
    v = __MKSMALLINT( UD_Iunpckhpd );
%}.
    UD_Iunpckhpd := v.
%{
    v = __MKSMALLINT( UD_Iunpckhps );
%}.
    UD_Iunpckhps := v.
%{
    v = __MKSMALLINT( UD_Iunpcklps );
%}.
    UD_Iunpcklps := v.
%{
    v = __MKSMALLINT( UD_Iunpcklpd );
%}.
    UD_Iunpcklpd := v.
%{
    v = __MKSMALLINT( UD_Iverr );
%}.
    UD_Iverr := v.
%{
    v = __MKSMALLINT( UD_Iverw );
%}.
    UD_Iverw := v.
%{
    v = __MKSMALLINT( UD_Ivmcall );
%}.
    UD_Ivmcall := v.
%{
    v = __MKSMALLINT( UD_Ivmclear );
%}.
    UD_Ivmclear := v.
%{
    v = __MKSMALLINT( UD_Ivmxon );
%}.
    UD_Ivmxon := v.
%{
    v = __MKSMALLINT( UD_Ivmptrld );
%}.
    UD_Ivmptrld := v.
%{
    v = __MKSMALLINT( UD_Ivmptrst );
%}.
    UD_Ivmptrst := v.
%{
    v = __MKSMALLINT( UD_Ivmlaunch );
%}.
    UD_Ivmlaunch := v.
%{
    v = __MKSMALLINT( UD_Ivmresume );
%}.
    UD_Ivmresume := v.
%{
    v = __MKSMALLINT( UD_Ivmxoff );
%}.
    UD_Ivmxoff := v.
%{
    v = __MKSMALLINT( UD_Ivmread );
%}.
    UD_Ivmread := v.
%{
    v = __MKSMALLINT( UD_Ivmwrite );
%}.
    UD_Ivmwrite := v.
%{
    v = __MKSMALLINT( UD_Ivmrun );
%}.
    UD_Ivmrun := v.
%{
    v = __MKSMALLINT( UD_Ivmmcall );
%}.
    UD_Ivmmcall := v.
%{
    v = __MKSMALLINT( UD_Ivmload );
%}.
    UD_Ivmload := v.
%{
    v = __MKSMALLINT( UD_Ivmsave );
%}.
    UD_Ivmsave := v.
%{
    v = __MKSMALLINT( UD_Iwait );
%}.
    UD_Iwait := v.
%{
    v = __MKSMALLINT( UD_Iwbinvd );
%}.
    UD_Iwbinvd := v.
%{
    v = __MKSMALLINT( UD_Iwrmsr );
%}.
    UD_Iwrmsr := v.
%{
    v = __MKSMALLINT( UD_Ixadd );
%}.
    UD_Ixadd := v.
%{
    v = __MKSMALLINT( UD_Ixchg );
%}.
    UD_Ixchg := v.
%{
    v = __MKSMALLINT( UD_Ixgetbv );
%}.
    UD_Ixgetbv := v.
%{
    v = __MKSMALLINT( UD_Ixlatb );
%}.
    UD_Ixlatb := v.
%{
    v = __MKSMALLINT( UD_Ixor );
%}.
    UD_Ixor := v.
%{
    v = __MKSMALLINT( UD_Ixorpd );
%}.
    UD_Ixorpd := v.
%{
    v = __MKSMALLINT( UD_Ixorps );
%}.
    UD_Ixorps := v.
%{
    v = __MKSMALLINT( UD_Ixcryptecb );
%}.
    UD_Ixcryptecb := v.
%{
    v = __MKSMALLINT( UD_Ixcryptcbc );
%}.
    UD_Ixcryptcbc := v.
%{
    v = __MKSMALLINT( UD_Ixcryptctr );
%}.
    UD_Ixcryptctr := v.
%{
    v = __MKSMALLINT( UD_Ixcryptcfb );
%}.
    UD_Ixcryptcfb := v.
%{
    v = __MKSMALLINT( UD_Ixcryptofb );
%}.
    UD_Ixcryptofb := v.
%{
    v = __MKSMALLINT( UD_Ixrstor );
%}.
    UD_Ixrstor := v.
%{
    v = __MKSMALLINT( UD_Ixsave );
%}.
    UD_Ixsave := v.
%{
    v = __MKSMALLINT( UD_Ixsetbv );
%}.
    UD_Ixsetbv := v.
%{
    v = __MKSMALLINT( UD_Ixsha1 );
%}.
    UD_Ixsha1 := v.
%{
    v = __MKSMALLINT( UD_Ixsha256 );
%}.
    UD_Ixsha256 := v.
%{
    v = __MKSMALLINT( UD_Ixstore );
%}.
    UD_Ixstore := v.
%{
    v = __MKSMALLINT( UD_Iaesdec );
%}.
    UD_Iaesdec := v.
%{
    v = __MKSMALLINT( UD_Iaesdeclast );
%}.
    UD_Iaesdeclast := v.
%{
    v = __MKSMALLINT( UD_Iaesenc );
%}.
    UD_Iaesenc := v.
%{
    v = __MKSMALLINT( UD_Iaesenclast );
%}.
    UD_Iaesenclast := v.
%{
    v = __MKSMALLINT( UD_Iaesimc );
%}.
    UD_Iaesimc := v.
%{
    v = __MKSMALLINT( UD_Iaeskeygenassist );
%}.
    UD_Iaeskeygenassist := v.
%{
    v = __MKSMALLINT( UD_Ipclmulqdq );
%}.
    UD_Ipclmulqdq := v.
%{
    v = __MKSMALLINT( UD_Igetsec );
%}.
    UD_Igetsec := v.
%{
    v = __MKSMALLINT( UD_Imovdqa );
%}.
    UD_Imovdqa := v.
%{
    v = __MKSMALLINT( UD_Imaskmovdqu );
%}.
    UD_Imaskmovdqu := v.
%{
    v = __MKSMALLINT( UD_Imovdq2q );
%}.
    UD_Imovdq2q := v.
%{
    v = __MKSMALLINT( UD_Imovdqu );
%}.
    UD_Imovdqu := v.
%{
    v = __MKSMALLINT( UD_Imovq2dq );
%}.
    UD_Imovq2dq := v.
%{
    v = __MKSMALLINT( UD_Ipaddq );
%}.
    UD_Ipaddq := v.
%{
    v = __MKSMALLINT( UD_Ipsubq );
%}.
    UD_Ipsubq := v.
%{
    v = __MKSMALLINT( UD_Ipmuludq );
%}.
    UD_Ipmuludq := v.
%{
    v = __MKSMALLINT( UD_Ipshufhw );
%}.
    UD_Ipshufhw := v.
%{
    v = __MKSMALLINT( UD_Ipshuflw );
%}.
    UD_Ipshuflw := v.
%{
    v = __MKSMALLINT( UD_Ipshufd );
%}.
    UD_Ipshufd := v.
%{
    v = __MKSMALLINT( UD_Ipslldq );
%}.
    UD_Ipslldq := v.
%{
    v = __MKSMALLINT( UD_Ipsrldq );
%}.
    UD_Ipsrldq := v.
%{
    v = __MKSMALLINT( UD_Ipunpckhqdq );
%}.
    UD_Ipunpckhqdq := v.
%{
    v = __MKSMALLINT( UD_Ipunpcklqdq );
%}.
    UD_Ipunpcklqdq := v.
%{
    v = __MKSMALLINT( UD_Iaddsubpd );
%}.
    UD_Iaddsubpd := v.
%{
    v = __MKSMALLINT( UD_Iaddsubps );
%}.
    UD_Iaddsubps := v.
%{
    v = __MKSMALLINT( UD_Ihaddpd );
%}.
    UD_Ihaddpd := v.
%{
    v = __MKSMALLINT( UD_Ihaddps );
%}.
    UD_Ihaddps := v.
%{
    v = __MKSMALLINT( UD_Ihsubpd );
%}.
    UD_Ihsubpd := v.
%{
    v = __MKSMALLINT( UD_Ihsubps );
%}.
    UD_Ihsubps := v.
%{
    v = __MKSMALLINT( UD_Imovddup );
%}.
    UD_Imovddup := v.
%{
    v = __MKSMALLINT( UD_Imovshdup );
%}.
    UD_Imovshdup := v.
%{
    v = __MKSMALLINT( UD_Imovsldup );
%}.
    UD_Imovsldup := v.
%{
    v = __MKSMALLINT( UD_Ipabsb );
%}.
    UD_Ipabsb := v.
%{
    v = __MKSMALLINT( UD_Ipabsw );
%}.
    UD_Ipabsw := v.
%{
    v = __MKSMALLINT( UD_Ipabsd );
%}.
    UD_Ipabsd := v.
%{
    v = __MKSMALLINT( UD_Ipshufb );
%}.
    UD_Ipshufb := v.
%{
    v = __MKSMALLINT( UD_Iphaddw );
%}.
    UD_Iphaddw := v.
%{
    v = __MKSMALLINT( UD_Iphaddd );
%}.
    UD_Iphaddd := v.
%{
    v = __MKSMALLINT( UD_Iphaddsw );
%}.
    UD_Iphaddsw := v.
%{
    v = __MKSMALLINT( UD_Ipmaddubsw );
%}.
    UD_Ipmaddubsw := v.
%{
    v = __MKSMALLINT( UD_Iphsubw );
%}.
    UD_Iphsubw := v.
%{
    v = __MKSMALLINT( UD_Iphsubd );
%}.
    UD_Iphsubd := v.
%{
    v = __MKSMALLINT( UD_Iphsubsw );
%}.
    UD_Iphsubsw := v.
%{
    v = __MKSMALLINT( UD_Ipsignb );
%}.
    UD_Ipsignb := v.
%{
    v = __MKSMALLINT( UD_Ipsignd );
%}.
    UD_Ipsignd := v.
%{
    v = __MKSMALLINT( UD_Ipsignw );
%}.
    UD_Ipsignw := v.
%{
    v = __MKSMALLINT( UD_Ipmulhrsw );
%}.
    UD_Ipmulhrsw := v.
%{
    v = __MKSMALLINT( UD_Ipalignr );
%}.
    UD_Ipalignr := v.
%{
    v = __MKSMALLINT( UD_Ipblendvb );
%}.
    UD_Ipblendvb := v.
%{
    v = __MKSMALLINT( UD_Ipmuldq );
%}.
    UD_Ipmuldq := v.
%{
    v = __MKSMALLINT( UD_Ipminsb );
%}.
    UD_Ipminsb := v.
%{
    v = __MKSMALLINT( UD_Ipminsd );
%}.
    UD_Ipminsd := v.
%{
    v = __MKSMALLINT( UD_Ipminuw );
%}.
    UD_Ipminuw := v.
%{
    v = __MKSMALLINT( UD_Ipminud );
%}.
    UD_Ipminud := v.
%{
    v = __MKSMALLINT( UD_Ipmaxsb );
%}.
    UD_Ipmaxsb := v.
%{
    v = __MKSMALLINT( UD_Ipmaxsd );
%}.
    UD_Ipmaxsd := v.
%{
    v = __MKSMALLINT( UD_Ipmaxud );
%}.
    UD_Ipmaxud := v.
%{
    v = __MKSMALLINT( UD_Ipmaxuw );
%}.
    UD_Ipmaxuw := v.
%{
    v = __MKSMALLINT( UD_Ipmulld );
%}.
    UD_Ipmulld := v.
%{
    v = __MKSMALLINT( UD_Iphminposuw );
%}.
    UD_Iphminposuw := v.
%{
    v = __MKSMALLINT( UD_Iroundps );
%}.
    UD_Iroundps := v.
%{
    v = __MKSMALLINT( UD_Iroundpd );
%}.
    UD_Iroundpd := v.
%{
    v = __MKSMALLINT( UD_Iroundss );
%}.
    UD_Iroundss := v.
%{
    v = __MKSMALLINT( UD_Iroundsd );
%}.
    UD_Iroundsd := v.
%{
    v = __MKSMALLINT( UD_Iblendpd );
%}.
    UD_Iblendpd := v.
%{
    v = __MKSMALLINT( UD_Ipblendw );
%}.
    UD_Ipblendw := v.
%{
    v = __MKSMALLINT( UD_Iblendps );
%}.
    UD_Iblendps := v.
%{
    v = __MKSMALLINT( UD_Iblendvpd );
%}.
    UD_Iblendvpd := v.
%{
    v = __MKSMALLINT( UD_Iblendvps );
%}.
    UD_Iblendvps := v.
%{
    v = __MKSMALLINT( UD_Idpps );
%}.
    UD_Idpps := v.
%{
    v = __MKSMALLINT( UD_Idppd );
%}.
    UD_Idppd := v.
%{
    v = __MKSMALLINT( UD_Impsadbw );
%}.
    UD_Impsadbw := v.
%{
    v = __MKSMALLINT( UD_Iextractps );
%}.
    UD_Iextractps := v.
%{
    v = __MKSMALLINT( UD_Iinsertps );
%}.
    UD_Iinsertps := v.
%{
    v = __MKSMALLINT( UD_Imovntdqa );
%}.
    UD_Imovntdqa := v.
%{
    v = __MKSMALLINT( UD_Ipackusdw );
%}.
    UD_Ipackusdw := v.
%{
    v = __MKSMALLINT( UD_Ipmovsxbw );
%}.
    UD_Ipmovsxbw := v.
%{
    v = __MKSMALLINT( UD_Ipmovsxbd );
%}.
    UD_Ipmovsxbd := v.
%{
    v = __MKSMALLINT( UD_Ipmovsxbq );
%}.
    UD_Ipmovsxbq := v.
%{
    v = __MKSMALLINT( UD_Ipmovsxwd );
%}.
    UD_Ipmovsxwd := v.
%{
    v = __MKSMALLINT( UD_Ipmovsxwq );
%}.
    UD_Ipmovsxwq := v.
%{
    v = __MKSMALLINT( UD_Ipmovsxdq );
%}.
    UD_Ipmovsxdq := v.
%{
    v = __MKSMALLINT( UD_Ipmovzxbw );
%}.
    UD_Ipmovzxbw := v.
%{
    v = __MKSMALLINT( UD_Ipmovzxbd );
%}.
    UD_Ipmovzxbd := v.
%{
    v = __MKSMALLINT( UD_Ipmovzxbq );
%}.
    UD_Ipmovzxbq := v.
%{
    v = __MKSMALLINT( UD_Ipmovzxwd );
%}.
    UD_Ipmovzxwd := v.
%{
    v = __MKSMALLINT( UD_Ipmovzxwq );
%}.
    UD_Ipmovzxwq := v.
%{
    v = __MKSMALLINT( UD_Ipmovzxdq );
%}.
    UD_Ipmovzxdq := v.
%{
    v = __MKSMALLINT( UD_Ipcmpeqq );
%}.
    UD_Ipcmpeqq := v.
%{
    v = __MKSMALLINT( UD_Ipopcnt );
%}.
    UD_Ipopcnt := v.
%{
    v = __MKSMALLINT( UD_Iptest );
%}.
    UD_Iptest := v.
%{
    v = __MKSMALLINT( UD_Ipcmpestri );
%}.
    UD_Ipcmpestri := v.
%{
    v = __MKSMALLINT( UD_Ipcmpestrm );
%}.
    UD_Ipcmpestrm := v.
%{
    v = __MKSMALLINT( UD_Ipcmpgtq );
%}.
    UD_Ipcmpgtq := v.
%{
    v = __MKSMALLINT( UD_Ipcmpistri );
%}.
    UD_Ipcmpistri := v.
%{
    v = __MKSMALLINT( UD_Ipcmpistrm );
%}.
    UD_Ipcmpistrm := v.
%{
    v = __MKSMALLINT( UD_Imovbe );
%}.
    UD_Imovbe := v.
%{
    v = __MKSMALLINT( UD_Icrc32 );
%}.
    UD_Icrc32 := v.
%{
    v = __MKSMALLINT( UD_MAX_MNEMONIC_CODE );
%}.
    UD_MAX_MNEMONIC_CODE := v.

    
! !

!UDIS86Mnemonics class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !


UDIS86Mnemonics initialize!
